params ["_type","_unit"];

if (!(local _unit)) exitwith {}; // Todella tärkeä. Estää skriptin pyörimisen ei locaaleilla uniteilla

//versio 1.0
private ["_OrbatinSide", "_Radioit", "_Nightvision"];


/////////////////////////
////////ASETUKSET////////
/////////////////////////

_OrbatinSide = "east";

//Lyhyet radiot kaikille. True/False
_Radioit = True;

//NV kaikille. True/False
_Nightvision = False;

//NV classname. "ACE_NVG_Gen4"
_item_NV = "ACE_NVG_Gen4";

#include "GeariFunctiot.sqf"
/////////////////////////
////////ASETUKSET////////
/////////////////////////



_fnc_TUNaddBasicEquipment = { //PerusTavaroiden functio//
	//Params [_unit, mode] call _fnc_TUNaddBasicEquipment;

	params ["_unit", "_mode", "_kiikarit"];

	Switch toLower (_mode) do {

		Case toLower "johtaja": {
			private ["_tavarat"];
			_tavarat = [["SmokeShell",2],["SmokeShellGreen",2],["SmokeShellRed",2],["SmokeShellBlue",2],["HandGrenade",2],["ACE_microDAGR",1],["ACE_Flashlight_XL50",1]]; //Tässä voit muutta mitä perus tavaroita kukin saa
			[_unit, _tavarat] Call _fnc_TUNaddmagazines;
		};

		Case toLower "VaraJohtaja": {
			private ["_tavarat"];
			_tavarat = [["SmokeShell",2],["SmokeShellGreen",2],["SmokeShellRed",2],["SmokeShellBlue",2],["HandGrenade",2],["ACE_Flashlight_XL50",1]]; //Tässä voit muutta mitä perus tavaroita kukin saa
			[_unit, _tavarat] Call _fnc_TUNaddmagazines;
		};

		Case toLower "kevyt": {
			private ["_tavarat"];
			_tavarat = [["SmokeShell",1],["HandGrenade",1],["ACE_Flashlight_XL50",1]];
			[_unit, _tavarat] Call _fnc_TUNaddmagazines;
		};

		Case toLower "Eng": {
			private ["_tavarat"];
			_tavarat = [["SmokeShell",4],["HandGrenade",2],["ACE_DefusalKit",1],["ACE_Clacker",1],["ToolKit",1],["ACE_wirecutter",1],["DemoCharge_Remote_Mag",3],["SatchelCharge_Remote_Mag",0],["ACE_Flashlight_XL50",1]];
			[_unit, _tavarat] Call _fnc_TUNaddmagazines;
		};

		Case toLower "Exp": {
			private ["_tavarat"];
			_tavarat = [["SmokeShell",2],["HandGrenade",2],["ACE_Flashlight_XL50",1]];
			[_unit, _tavarat] Call _fnc_TUNaddmagazines;
		};

		Case toLower "Breach": {
			private ["_tavarat"];
			_tavarat = [["SmokeShell",2],["HandGrenade",1],["ACE_DefusalKit",1],["ACE_Clacker",1],["DemoCharge_Remote_Mag",2],["ACE_Flashlight_XL50",1]];
			[_unit, _tavarat] Call _fnc_TUNaddmagazines;
		};


		default { //Vakio romut
			private ["_tavarat"];
			_tavarat = [["SmokeShell",2],["HandGrenade",2]],["ACE_Flashlight_XL50",1];
			[_unit, _tavarat] Call _fnc_TUNaddmagazines;
		};
	};

	Switch toLower (_kiikarit) do {
		Case toLower "kiikari": {
			_unit addWeapon "Binocular";
		};

		Case toLower "range": {
			_unit addWeapon "ACE_Vector";
		};

		Case toLower "laser": {
			_unit addWeapon "Laserdesignator";
			_unit addItem "Laserbatteries";
		};
		default {};
	};
};



_fnc_BUMaddMedicalSupplies = {
	//Params [unit, mode] call _fnc_BUMaddMedicalSupplies;

	private ["_item", "_count"];
	params ["_unit","_mode"];

	Switch (toLower(_mode)) do {

		Case toLower "cls": {
			_unit setVariable ["Ace_medical_medicClass", 1];

			_supplies = [["ACE_fieldDressing",15],["ACE_morphine",8],["ACE_bloodIV",5],["ACE_epinephrine",8]]; //Tässä voit muutta mitä medicaali tavaroita kukin saa.

			{
				_item = _x select 0;
				_count = _x select 1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};

		Case toLower "medic": {
			_unit setVariable ["Ace_medical_medicClass", 2];

			_supplies = [["ACE_fieldDressing",25],["ACE_morphine",15],["ACE_bloodIV",10],["ACE_epinephrine",15]];

			{
				_item = _x select 0;
				_count = _x select 1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};

		default {
			_unit setVariable ["Ace_medical_medicClass", 0];

			_supplies = [["ACE_fieldDressing",6],["ACE_morphine",1]];

			{
				_item = _x select 0;
				_count = _x select 1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};
	};
};



_fnc_TUNchangeWeapons = { //ASEFUNCTIO//


	//Kutsuminen [_unit, "ase", "sinko"] call _fnc_TUNchangeWeapons;
	private [ "_weapons", "_magazines","_weaponitems"];
	params ["_unit","_weapon","_Singonvalinta"];
	_weapons = [];
	_magazines = [];
	_weaponitems = [];


///////////////////
//PääaseenValinta//
///////////////////
/*
Listaa ase näin.
_weapons append ["classname"];
Lisää lipas
_magazines append [["lipas1",lippaidenmäärä],["rhs_30Rnd_545x39_AK_green",3]];
Aseiden lisävarusteet
_weaponitems append [["classname","primary/handgun/secondary"],["rhs_acc_dtk","primary"]];
*/

	Switch toLower (_weapon) do {


		////////////
		//Kiväärit//
		////////////

		case toLower "Rif": { //Rynnäkkökivääri optiikalla
			_ase = selectRandom ["rhs_weap_ak74m", "rhs_weap_ak74m_2mag", "rhs_weap_ak74m_2mag_camo", "rhs_weap_ak74m_camo", "rhs_weap_ak74m_plummag", "rhs_weap_ak74m_fullplum"];
			_weapons append [_ase,"rhs_weap_makarov_pm"];
			_magazines append [["rhs_30Rnd_545x39_7N10_AK",8],["rhs_mag_9x18_8_57N181S",2]];
			_weaponitems append [["rhs_acc_dtk","primary"],["rhs_acc_1p78","primary"]];
		};

		case toLower "Rif1": { //Rynnäkkökivääri
			_ase = selectRandom ["rhs_weap_ak74m", "rhs_weap_ak74m_2mag", "rhs_weap_ak74m_2mag_camo", "rhs_weap_ak74m_camo", "rhs_weap_ak74m_plummag", "rhs_weap_ak74m_fullplum"];
			_tahtain = selectRandom ["", "rhs_acc_1p63", "", "rhs_acc_ekp1", "", "rhs_acc_pkas", ""];
			_weapons append [_ase];
			_magazines append [["rhs_30Rnd_545x39_7N10_AK",8]];
			_weaponitems append [["rhs_acc_dtk","primary"],[_tahtain,"primary"]];
		};

		/*case toLower "Rif2": { //Rynnäkkökivääri

		};*/

		case toLower "GL": { //Heittimen sisältävät rynnäkkökiväärit
			_tahtain = selectRandom ["", "rhs_acc_1p63", "", "rhs_acc_ekp1", "", "rhs_acc_pkas", ""];
			_weapons append ["rhs_weap_ak74m_gp25"];
			_magazines append [["rhs_30Rnd_545x39_7N10_AK",8],["rhs_VOG25",9],["rhs_GRD40_White",1]];
			_weaponitems append [["rhs_acc_dtk","primary"],[_tahtain,"primary"]];
		};


		//////
		//MG//
		//////

		case toLower "MG": { //Raskaammat konekiväärit (PKM, PKP, M240) Natossa 7.62x51, muilla 7.62x54/53
			_weapons append ["rhs_weap_pkp"];
			_magazines append [["rhs_100Rnd_762x54mmR",4]];
			//_weaponitems append [];
		};

		/*case toLower "MG1": { //Raskaammat konekiväärit (PKM, PKP, M240) Natossa 7.62x51, muilla 7.62x54/53

		};*/

		case toLower "MGAS": { //Raskaammat konekiväärit (PKM, PKP, M240) Natossa 7.62x51, muilla 7.62x54/53
			_ase = selectRandom ["rhs_weap_ak74m", "rhs_weap_ak74m_2mag", "rhs_weap_ak74m_2mag_camo", "rhs_weap_ak74m_camo", "rhs_weap_ak74m_plummag", "rhs_weap_ak74m_fullplum"];
			_weapons append [_ase];
			_magazines append [["rhs_30Rnd_545x39_7N10_AK",8],["rhs_100Rnd_762x54mmR",3]];
			_weaponitems append [["rhs_acc_dtk","primary"]];
		};

		/*case toLower "MGAS2": { //Raskaammat konekiväärit (PKM, PKP, M240) Natossa 7.62x51, muilla 7.62x54/53

		};*/

		//////
		//AR//
		//////

		/*case toLower "AR": { //Kevyet konekiväärit (M249, RPK, M27)

		};

		case toLower "ARAS": { //Kevyet konekiväärit (M249, RPK, M27)

		};

		case toLower "AR1": { //Kevyet konekiväärit (M249, RPK, M27)

		};

		case toLower "ARAS1": { //Kevyet konekiväärit (M249, RPK, M27)

		};*/


		//////////////////
		//Sniper & Marks//
		//////////////////

		case toLower "Mark": { //Marksman eli ryhmätason puoliautomaatti tukiase (MK11, SVD, AK+PSO, VSS Vintorez) Myös spottereiden ase
			_weapons append ["rhs_weap_svds"];
			_magazines append [["rhs_10Rnd_762x54mmR_7N1",8]];
			_weaponitems append [["rhs_acc_pso1m2","primary"]];
		};

		/*case toLower "Mark1": { //Marksman eli ryhmätason puoliautomaatti tukiase (MK11, SVD, AK+PSO, VSS Vintorez) Myös spottereiden ase

		};

		case toLower "Sniper": { //Tarkkuuskivääri

		};

		case toLower "Sniper1": { //Tarkkuuskivääri

		};*/

		////////////////
		//Pienet aseet//
		////////////////
		/*case toLower "SMG": { //Erikoiset johtajat, mahd. vaunumiehistöt, pilotit

		};*/

		case toLower "Carbine": { //Erikoiset johtajat, mahd. vaunumiehistöt, pilotit
			_weapons append ["rhs_weap_aks74u","rhs_weap_pya"];
			_magazines append [["rhs_30Rnd_545x39_7N10_AK",4],["rhs_mag_9x19_17",2]];
			_weaponitems append [["rhs_acc_pgs64_74u","primary"]];
		};

		case toLower "Pistol": { //Erikoiset johtajat, mahd. vaunumiehistöt, pilotit
			_weapons append ["rhs_weap_makarov_pm"];
			_magazines append [["rhs_mag_9x18_8_57N181S",4]];
			//_weaponitems append [];
		};

		/*case toLower "Shotgun": { //Pääaseena haulikko. Eli Engineer T:Tuntematon

		};*/

		default {};
	};

/////////////////
//SingonValinta//
/////////////////
	Switch toLower (_Singonvalinta) do {

		Case toLower "AT": { //AT = RPG7, SMAW, MAAWS (Raskaat singot)
			_weapons append ["rhs_weap_rpg7"];
			_magazines append [["rhs_rpg7_PG7VL_mag",2],["rhs_rpg7_PG7VR_mag",1],["rhs_rpg7_OG7V_mag",1]];
			_weaponitems append [["rhs_acc_pgo7v3","secondary"]];
		};

		Case toLower "ATAS": { //AT = RPG7, SMAW, MAAWS (Raskaat singot)
			//_weapons append [""];
			_magazines append [["rhs_rpg7_PG7VL_mag",1],["rhs_rpg7_OG7V_mag",1],["rhs_rpg7_TBG7V_mag",1]];
			//_weaponitems append [];
		};

		Case toLower "LAT": { //kevyt kertasinko (M72, RPG26, M136)
			_weapons append ["rhs_weap_rpg26"];
			//_magazines append [];
			//_weaponitems append [];
		};

		Case toLower "LAT1": { //kevyt kertasinko (M72, RPG26, M136)

		};

		Case toLower "AA": { //Anti-air
			_weapons append ["rhs_weap_igla"];
			_magazines append [["rhs_mag_9k38_rocket",2]];
			//_weaponitems append [];
		};

		Case toLower "AAAS": { //Anti-air
			//_weapons append [];
			_magazines append [["rhs_mag_9k38_rocket",2]];
			//_weaponitems append [];
		};

		Case toLower "HAT": { //NLAW, JAVELIN (Ylipäätänsä ohjuspohjainen)

		};

		Case toLower "HATAS": { //NLAW, JAVELIN (Ylipäätänsä ohjuspohjainen)

		};

		default {};//Tyhjänä ei ajaa tämä eli ei anna mitään.
	};


	if !(count _weapons == 0) then {
		[_unit, _weapons] Call _fnc_BUMaddweapons;
	};

	if !(count _magazines == 0) then {
		[_unit, _magazines] Call _fnc_TUNaddmagazines;
	};

	if !(count _weaponitems == 0) then {
		[_unit, _weaponitems] Call fnc_TUNaddWeaponItem;
	};
};


_fnc_TUNchangeClothes = { //VAATEFUNCTIO//

	//Kutsuminen [_unit, "puvunvalinta", "liivinvalinta", "repunvalinta"] call _fnc_TUNchangeClothes;
	//Katso vaihtoehdot alempaa case kohdasta. Käytä "" jos haluat defaultin.

	params ["_unit","_puku","_liivi","_reppu"];
/*
	removeUniform _unit;
    removeVest _unit;
    removeBackpack _unit;
    removeHeadgear _unit;
    removeGoggles _unit;
*/

///////////////
//Pikku romut//
///////////////



////////////////
//Puvunvalinta//
////////////////
/*	switch toLower (_puku) do {
		Case toLower "Sl": {
			//_unit forceAddUniform "rhs_uniform_g3_m81";
		};

		Case toLower "Crew": {
			//_unit forceAddUniform "rhs_uniform_g3_m81";
		};

		Case toLower "Light": {
			//_unit forceAddUniform "rhs_uniform_g3_m81";
		};

		Case toLower "Mark": {
			//_unit forceAddUniform "rhs_uniform_g3_m81";
		};

		Case toLower "Mg": {
			//_unit forceAddUniform "rhs_uniform_g3_m81";
		};

		Case toLower "Gl": {
			//_unit forceAddUniform "rhs_uniform_g3_m81";
		};

		Case toLower "Medic": {
			//_unit forceAddUniform "rhs_uniform_g3_m81";
		};

		default { //Vakio Puku
			//_unit forceAddUniform "rhs_uniform_g3_m81";
		};
	};*/


/////////////////
//Liivinvalinta//
/////////////////
/*	switch toLower (_liivi) do {
		Case toLower "Sl": {
			//_unit addVest "rhsusf_spc_corpsman";
		};

		Case toLower "Crew": {
			//_unit addVest "rhsusf_spc_crewman";
		};

		Case toLower "Light": {
			//_unit addVest "rhsusf_spc_light";
		};

		Case toLower "Mark": {
			//_unit addVest "rhsusf_spc_marksman";
		};

		Case toLower "Mg": {
			//_unit addVest "rhsusf_spc_mg";
		};

		Case toLower "Gl": {
            //_unit addVest "rhs_6sh92_vsr_vog";
        };

		Case toLower "Medic": {
			//_unit addVest "rhsusf_spc_mg";
		};

		default { //Vakio liivi
			//_unit addVest "rhsusf_spc_rifleman";
		};
	};*/

////////////////
//Repunvalinta//
////////////////
	switch toLower (_reppu) do
	{
		Case toLower "Radio": {
			_unit addbackpack "tf_mr3000_bwmod";
		};

		Case toLower "Medic": {
			_unit addBackpack "rhs_medic_bag";
		};

		Case toLower "AT": {
			_unit addBackpack "rhs_rpg_empty";
		};

		Case toLower "Pienireppu": {
			_unit addBackpack "rhs_sidor";
		};

		Case toLower "Isoreppu": {
			_unit addBackpack "B_FieldPack_oli";
		};

		Case toLower "Engineer": {
			_unit addBackpack "rhs_assault_umbts";
		};

		Case toLower "Explosive": {
			_unit addBackpack "rhs_assault_umbts";
		};
		default { //Vakio reppu
		};
	};
};

/*

Vaatefunktion pitää olla aina ylimpänä.
puvunvalinta = "Sl", "Crew", "Light", "Mark", "Mg", "Gl", "Medic" tau "" jos haluat default
liivinvalinta = "Sl", "Crew", "Light", "Mark", "Mg", "Gl", "Medic" tau "" jos haluat default
repunvalinta = "Radio", "Medic", "AT", "Pienireppu", "Isoreppu"

[_unit, "","",""] call _fnc_TUNchangeClothes;

Pääase vaihtoehdot = "SMG", "Carbine", "MG", "MG1", "AR", "AR1", "GL", "Mark", "Mark1", "Sniper", "Snipe1", "Shotgun", "Rif1", "Rif1", "Rif2", "Pistol"
Sinko vaihtoehdot = "AT", "AtAS", "LAT", "LAT1", "AA", "AAAS", "HAT", "HATAS"
	[_unit, "Pääase", "Sinko"] call _fnc_TUNchangeWeapons;

Perus tavarat = "johtaja", "kevyt", "" //Vakio
Kiikarit = "kiikari", "range", "laser" tai "" jos et halua antaa mitään.
	[_unit, "Perus tavarat", ""] call _fnc_TUNaddBasicEquipment;

Medikintaso = "cls", "medic" tai "" perus jv tavarat.
	[_unit, "Medikintaso"] Call _fnc_BUMaddMedicalSupplies;
*/

if (_unit isKindof "Man") then {
	Switch toLower(_type) do {

		////////////
		//Johtajat//
		////////////

		Case toLower "PL": { //Komppanin tai Joukkueen johtaja
			[_unit, "","","Radio"] call _fnc_TUNchangeClothes;
			[_unit, "Carbine", ""] call _fnc_TUNchangeWeapons;
			[_unit, "johtaja", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
			_unit setVariable["displayName", "Officer",true];
		};

		Case toLower "RTO": { //Radisti
			[_unit, "","","Radio"] call _fnc_TUNchangeClothes;
			[_unit, "Carbine", ""] call _fnc_TUNchangeWeapons;
			[_unit, "johtaja", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "FAC": { //Tulenjohtaja/Ilmatulenjohtaja
			[_unit, "","","Radio"] call _fnc_TUNchangeClothes;
			[_unit, "Carbine", ""] call _fnc_TUNchangeWeapons;
			[_unit, "johtaja", "laser"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "SL": { //Ryhmän johtaja
			[_unit, "","","Radio"] call _fnc_TUNchangeClothes;
			[_unit, "Rif", "LAT"] call _fnc_TUNchangeWeapons;
			[_unit, "johtaja", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "TL": { // Partion johtaja
			[_unit, "","","Pienireppu"] call _fnc_TUNchangeClothes;
			[_unit, "Rif1", "LAT"] call _fnc_TUNchangeWeapons;
			[_unit, "VaraJohtaja", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		//////////////////
		//Machinegunners//
		//////////////////

		Case toLower "MG": {
			[_unit, "","","Pienireppu"] call _fnc_TUNchangeClothes;
			[_unit, "mg", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", ""] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		/*Case toLower "MG1": {
			[_unit, "","",""] call _fnc_TUNchangeClothes;
			[_unit, "mg1", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", ""] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};*/

		Case toLower "MGAS": {
			[_unit, "","","Isoreppu"] call _fnc_TUNchangeClothes;
			[_unit, "MGAS", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		/*Case toLower "MGAS1": {
			[_unit, "","",""] call _fnc_TUNchangeClothes;
			[_unit, "MGAS1", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};*/

		/////////////////
		//Autoriflemans//
		/////////////////

		/*Case toLower "AR": {
			[_unit, "","",""] call _fnc_TUNchangeClothes;
			[_unit, "ar", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", ""] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "AR1": {
			[_unit, "","",""] call _fnc_TUNchangeClothes;
			[_unit, "ar1", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", ""] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "ArAS": {
			[_unit, "","","Isoreppu"] call _fnc_TUNchangeClothes;
			[_unit, "ArAS", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "ARAS1": {
			[_unit, "","",""] call _fnc_TUNchangeClothes;
			[_unit, "ARAS1", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};*/

		////////////
		//Perus jv//
		////////////

		Case toLower "GL": {
			[_unit, "","",""] call _fnc_TUNchangeClothes;
			[_unit, "gl", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", ""] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "Rif": {
			[_unit, "","","Pienireppu"] call _fnc_TUNchangeClothes;
			[_unit, "Rif1", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", ""] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "Rif1": {
			[_unit, "","","Pienireppu"] call _fnc_TUNchangeClothes;
			[_unit, "rif2", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", ""] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		///////////
		//Medikit//
		///////////

		Case toLower "Medic": { //Joukkueen tai isompi.
			[_unit, "","","Medic"] call _fnc_TUNchangeClothes;
			[_unit, "Rif1", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", ""] call _fnc_TUNaddBasicEquipment;
			[_unit, "Medic"] Call _fnc_BUMaddMedicalSupplies;
		};

		/*Case toLower "CLS": { //Ryhmän medikki
			[_unit, "","","Medic"] call _fnc_TUNchangeClothes;
			[_unit, "Carbine", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", ""] call _fnc_TUNaddBasicEquipment;
			[_unit, "ClS"] Call _fnc_BUMaddMedicalSupplies;
		};*/

		/////////////////////
		//PST & Muut singot//
		/////////////////////

		Case toLower "AT": { //Raskas Sinko (SMAW,RPG)
			[_unit, "","","at"] call _fnc_TUNchangeClothes;
			[_unit, "Rif1", "AT"] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "ATAS": { //Raskaan singon avustaja
			[_unit, "","","At"] call _fnc_TUNchangeClothes;
			[_unit, "Rif1", "ATAS"] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		/*Case toLower "HAT": { //Ohjus AT NLAW, JAVELIN (Ylipäätänsä ohjuspohjainen)
			[_unit, "","",""] call _fnc_TUNchangeClothes;
			[_unit, "Rif1", "HAT"] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "HATAS": { //Ohjus AT assistant
			[_unit, "","","Isoreppu"] call _fnc_TUNchangeClothes;
			[_unit, "Rif1", "HATAS"] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};*/

		Case toLower "RifAT": { //KES taistelija
			[_unit, "","",""] call _fnc_TUNchangeClothes;
			[_unit, "Rif1", "LAT"] call _fnc_TUNchangeWeapons;
			[_unit, "", ""] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		/*Case toLower "RifAT1": { //KES taistelija
			[_unit, "","",""] call _fnc_TUNchangeClothes;
			[_unit, "Rif1", "LAT1"] call _fnc_TUNchangeWeapons;
			[_unit, "", ""] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};*/

		Case toLower "AA": { //Anti Air
			[_unit, "","","At"] call _fnc_TUNchangeClothes;
			[_unit, "Rif1", "AA"] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "AAAS": { ////Anti Air Avustaja
			[_unit, "","","At"] call _fnc_TUNchangeClothes;
			[_unit, "Rif1", "AAAS"] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		//////////////////////
		//Ajoneuvo miehistöt//
		//////////////////////

		Case toLower "CrewL": { //Vaununjohtaja
			[_unit, "","",""] call _fnc_TUNchangeClothes;
			[_unit, "Carbine", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "Crew": { //Vaunumiehistö
			[_unit, "","",""] call _fnc_TUNchangeClothes;
			[_unit, "Carbine", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "HeliP": { //Helikoperi pilotti
			[_unit, "","",""] call _fnc_TUNchangeClothes;
			[_unit, "Pistol", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "HeliC": { //Helikoperi miehistö
			[_unit, "","",""] call _fnc_TUNchangeClothes;
			[_unit, "Pistol", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "Pilot": { //Pilotti
			[_unit, "","",""] call _fnc_TUNchangeClothes;
			[_unit, "Pistol", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		/////////////////////////
		//Sniperit & Marksmanit//
		/////////////////////////

		/*Case toLower "Sniper": {
			[_unit, "","","Radio"] call _fnc_TUNchangeClothes;
			[_unit, "Sniper", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "Sniper1": {
			[_unit, "","","Radio"] call _fnc_TUNchangeClothes;
			[_unit, "Sniper1", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "Spotter": {
			[_unit, "","","Radio"] call _fnc_TUNchangeClothes;
			[_unit, "Mark", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};*/

		Case toLower "Mark": {
			[_unit, "","",""] call _fnc_TUNchangeClothes;
			[_unit, "Mark", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		/*Case toLower "Mark1": {
			[_unit, "","",""] call _fnc_TUNchangeClothes;
			[_unit, "Mark1", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};*/

		////////////
		//Engineer//
		////////////

		Case toLower "Eng": { //Pioneeri (Räjähteet, miinaharava tms)
			_unit setVariable ["ACE_IsEngineer",1,true];
			_unit setVariable ["ACE_isEOD",1,true];

			[_unit, "","","Engineer"] call _fnc_TUNchangeClothes;
			[_unit, "Rif1", ""] call _fnc_TUNchangeWeapons;
			[_unit, "Eng", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};
/*
		Case toLower "Exp": { //Räjähde expertti. Isoja räjähteitä / IED
			_unit setVariable ["ACE_isEOD",1,true];

			[_unit, "","","at"] call _fnc_TUNchangeClothes;
			[_unit, "Carbine", ""] call _fnc_TUNchangeWeapons;
			[_unit, "Exp", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "Breach": { //Kevyesti räjähteitä, haulikko tms
			_unit setVariable ["ACE_isEOD",1,true];

			[_unit, "","","At"] call _fnc_TUNchangeClothes;
			[_unit, "Carbine", ""] call _fnc_TUNchangeWeapons;
			[_unit, "Breach", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};*/

		default {	removeUniform _unit;
    removeVest _unit;
    removeBackpack _unit;
    removeHeadgear _unit;
    removeGoggles _unit;};
	};
};




	/////////////////////////
	//Ajoneuvot ja Laatikot//
	/////////////////////////

if (_unit isKindof "LandVehicle" || _unit isKindof "Air" || _unit isKindOf "Ship" || _unit isKindOf "Static" || _unit isKindOf "thing") then {
	Switch toLower(_type) do {

		Case toLower "Auto": { //perus
			_unit addMagazineCargoGlobal ["rhs_30Rnd_545x39_7N10_AK", 6];
			_unit addMagazineCargoGlobal ["rhs_100Rnd_762x54mmR",2];
			_unit addItemCargoGlobal ["ACE_wirecutter",2];
			_unit addItemCargoGlobal ["ACE_bodyBag",10];
			_unit addItemCargoGlobal ["ACE_bloodIV",5];
			_unit addItemCargoGlobal ["ACE_Sandbag_empty",50];
		};

		Case toLower "Laatikko": { //perus
			_unit addMagazineCargoGlobal ["rhs_30Rnd_545x39_7N10_AK", 6];
			_unit addMagazineCargoGlobal ["rhs_100Rnd_762x54mmR",2];
			_unit addItemCargoGlobal ["ACE_wirecutter",2];
			_unit addItemCargoGlobal ["ACE_bodyBag",10];
			_unit addItemCargoGlobal ["ACE_bloodIV",5];
			_unit addItemCargoGlobal ["ACE_Sandbag_empty",50];
		};

		Case toLower "Rekka": { //perus
			_unit addMagazineCargoGlobal ["rhs_30Rnd_545x39_7N10_AK", 6];
			_unit addMagazineCargoGlobal ["rhs_100Rnd_762x54mmR",2];
			_unit addItemCargoGlobal ["ACE_wirecutter",2];
			_unit addItemCargoGlobal ["ACE_bodyBag",10];
			_unit addItemCargoGlobal ["ACE_bloodIV",5];
			_unit addItemCargoGlobal ["ACE_Sandbag_empty",50];
		};

		default{};
	};
};
