params ["_type","_unit"];

if (!(local _unit)) exitwith {}; // Todella tärkeä. Estää skriptin pyörimisen ei locaaleilla uniteilla

//versio 1.1 (Vaatteet)
private ["_OrbatinSide", "_Radioit", "_Nightvision"];


/////////////////////////
////////ASETUKSET////////
/////////////////////////
//west,east,guer
_OrbatinSide = "guer";

//Lyhyet radiot kaikille. True/False
_Radioit = True;

//NV kaikille. True/False
_Nightvision = False;

//NV classname. "ACE_NVG_Gen4"
_item_NV = "ACE_NVG_Gen4";

#include "GeariFunctiot.sqf"
/////////////////////////
////////ASETUKSET////////
/////////////////////////



_fnc_TUNaddBasicEquipment = { //PerusTavaroiden functio//
	//Params [_unit, mode] call _fnc_TUNaddBasicEquipment;

	params ["_unit", "_mode", "_kiikarit"];

	Switch toLower (_mode) do {

		Case toLower "johtaja": {
			private ["_tavarat"];
			_tavarat = [["SmokeShell",2],["SmokeShellGreen",2],["SmokeShellRed",2],["SmokeShellBlue",2],["HandGrenade",2],["ACE_Flashlight_XL50",1]]; //Tässä voit muutta mitä perus tavaroita kukin saa
			[_unit, _tavarat] Call _fnc_TUNaddmagazines;
		};

		Case toLower "VaraJohtaja": {
			private ["_tavarat"];
			_tavarat = [["SmokeShell",2],["SmokeShellGreen",2],["SmokeShellRed",2],["SmokeShellBlue",2],["HandGrenade",2],["ACE_Flashlight_XL50",1]]; //Tässä voit muutta mitä perus tavaroita kukin saa
			[_unit, _tavarat] Call _fnc_TUNaddmagazines;
		};

		Case toLower "kevyt": {
			private ["_tavarat"];
			_tavarat = [["SmokeShell",1],["HandGrenade",1],["ACE_Flashlight_XL50",1]];
			[_unit, _tavarat] Call _fnc_TUNaddmagazines;
		};

		Case toLower "Eng": {
			private ["_tavarat"];
			_tavarat = [["SmokeShell",2],["HandGrenade",2],["ACE_DefusalKit",1],["ACE_Clacker",1],["ToolKit",1],["ACE_wirecutter",1],["DemoCharge_Remote_Mag",4],["ACE_Flashlight_XL50",1]];
			[_unit, _tavarat] Call _fnc_TUNaddmagazines;
		};

		Case toLower "Exp": {
			private ["_tavarat"];
			_tavarat = [["SmokeShell",2],["HandGrenade",2],["ACE_DefusalKit",1],["ACE_Clacker",1],["rhs_mine_tm62m_mag",1],["DemoCharge_Remote_Mag",1],["IEDUrbanSmall_Remote_Mag",1],["ACE_Flashlight_XL50",1]];
			[_unit, _tavarat] Call _fnc_TUNaddmagazines;
		};

		Case toLower "Breach": {
			private ["_tavarat"];
			_tavarat = [["SmokeShell",2],["HandGrenade",2],["ACE_DefusalKit",1],["ACE_Clacker",1],["DemoCharge_Remote_Mag",2],["ACE_Flashlight_XL50",1]];
			[_unit, _tavarat] Call _fnc_TUNaddmagazines;
		};


		default { //Vakio romut
			private ["_tavarat"];
			_tavarat = [["SmokeShell",2],["HandGrenade",2]],["ACE_Flashlight_XL50",1];
			[_unit, _tavarat] Call _fnc_TUNaddmagazines;
		};
	};

	Switch toLower (_kiikarit) do {
		Case toLower "kiikari": {
			_unit addWeapon "Binocular";
		};

		Case toLower "range": {
			_unit addWeapon "ACE_Vector";
		};

		Case toLower "laser": {
			_unit addWeapon "Laserdesignator";
			_unit addItem "Laserbatteries";
		};
		default {};
	};
};



_fnc_BUMaddMedicalSupplies = {
	//Params [unit, mode] call _fnc_BUMaddMedicalSupplies;

	private ["_item", "_count"];
	params ["_unit","_mode"];

	Switch (toLower(_mode)) do {

		Case toLower "cls": {
			_unit setVariable ["Ace_medical_medicClass", 1];

			_supplies = [["ACE_fieldDressing",15],["ACE_morphine",8],["ACE_bloodIV",5],["ACE_epinephrine",8]]; //Tässä voit muutta mitä medicaali tavaroita kukin saa.

			{
				_item = _x select 0;
				_count = _x select 1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};

		Case toLower "medic": {
			_unit setVariable ["Ace_medical_medicClass", 2];

			_supplies = [["ACE_fieldDressing",25],["ACE_morphine",15],["ACE_bloodIV",10],["ACE_epinephrine",15]];

			{
				_item = _x select 0;
				_count = _x select 1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};

		default {
			_unit setVariable ["Ace_medical_medicClass", 0];

			_supplies = [["ACE_fieldDressing",6],["ACE_morphine",1]];

			{
				_item = _x select 0;
				_count = _x select 1;

				for "_i" from 1 to _count do {_unit additem _item};
			} Foreach _supplies;
		};
	};
};



_fnc_TUNchangeWeapons = { //ASEFUNCTIO//


	//Kutsuminen [_unit, "ase", "sinko"] call _fnc_TUNchangeWeapons;
	private [ "_weapons", "_magazines","_weaponitems"];
	params ["_unit","_weapon","_Singonvalinta"];
	_weapons = [];
	_magazines = [];
	_weaponitems = [];


///////////////////
//PääaseenValinta//
///////////////////
/*
Listaa ase näin.
_weapons append ["classname"];
Lisää lipas
_magazines append [["lipas1",lippaidenmäärä],["rhs_30Rnd_545x39_AK_green",3]];
Aseiden lisävarusteet
_weaponitems append [["classname","primary/handgun/secondary"],["rhs_acc_dtk","primary"]];

			_ase = selectRandom ["rhs_weap_m16a4_carryhandle", "rhs_weap_m4_carryhandle"];
			_tuki = selectRandom ["", "rhsusf_acc_grip2", "", "rhsusf_acc_grip2_tan", "", "rhsusf_acc_grip1", "", "rhsusf_acc_grip3", "", "rhsusf_acc_grip3_tan", ""];
			_tahtain = selectRandom ["", "rhsusf_acc_eotech_552", "", "rhsusf_acc_compm4"];
			_weapons append [_ase];
			_magazines append [["rhs_mag_30Rnd_556x45_Mk318_Stanag",5],["rhs_mag_30Rnd_556x45_M855A1_Stanag_Tracer_Red",2]];
			_weaponitems append [[_tahtain,"primary"], ["rhsusf_acc_anpeq15side","primary"], [_tuki,"primary"]];
*/

	Switch toLower (_weapon) do {


		////////////
		//Kiväärit//
		////////////

		/*case toLower "Rif": { //Rynnäkkökivääri optiikalla

		};*/

		case toLower "Rif1": { //Rynnäkkökivääri
			switch ((selectRandom ["1","1",""])) do
			{
				case "1": {
					_ase = selectRandom ["rhs_weap_ak103","rhs_weap_akm","rhs_weap_akms"];
					_weapons append [_ase];
					_magazines append [["rhs_30Rnd_762x39mm",7]];
					_weaponitems append [["rhs_acc_dtk","primary"]];
				};

				default{
					_ase = selectRandom ["rhs_weap_aks74","rhs_weap_aks74n","rhs_weap_aks74u","rhs_weap_aks74un","rhs_weap_ak74m_fullplum"];
					_weapons append [_ase];
					_magazines append [["rhs_30Rnd_545x39_AK",7]];
					_weaponitems append [["rhs_acc_dtk1983","primary"]];
				};
			};
		};

		case toLower "Rif2": { //Rynnäkkökivääri
			_weapons append ["rhs_weap_aks74u"];
			_magazines append [["rhs_30Rnd_545x39_AK",3]];
			_weaponitems append [["rhs_acc_dtk4short","primary"]];
		};

		case toLower "GL": { //Heittimen sisältävät rynnäkkökiväärit
			_ase = selectRandom ["rhs_weap_akm_gp25","rhs_weap_akms_gp25"];
			_weapons append [_ase];
			_magazines append [["rhs_30Rnd_762x39mm_89",7],["rhs_VOG25",6],["rhs_GRD40_White",3]];
			//_weaponitems append [];
		};

		/*case toLower "GL1": { //Heittimen sisältävät rynnäkkökiväärit

		};*/

		/*case toLower "GL2": { //Heittimen sisältävät rynnäkkökiväärit

		};*/


		//////
		//MG//
		//////

		case toLower "MG": { //Raskaammat konekiväärit (PKM, PKP, M240) Natossa 7.62x51, muilla 7.62x54/53
			_ase = selectRandom ["rhs_weap_pkp","rhs_weap_pkm"];
			_weapons append [_ase];
			_magazines append [["rhs_100Rnd_762x54mmR",5]];
			//_weaponitems append [];
		};

		/*case toLower "MG1": { //Raskaammat konekiväärit (PKM, PKP, M240) Natossa 7.62x51, muilla 7.62x54/53

		};*/

		/*case toLower "MGAS": { //Raskaammat konekiväärit (PKM, PKP, M240) Natossa 7.62x51, muilla 7.62x54/53

		};*/

		/*case toLower "MGAS2": { //Raskaammat konekiväärit (PKM, PKP, M240) Natossa 7.62x51, muilla 7.62x54/53

		};*/

		//////
		//AR//
		//////

		/*case toLower "AR": { //Kevyet konekiväärit (M249, RPK, M27)

		};*/

		/*case toLower "ARAS": { //Kevyet konekiväärit (M249, RPK, M27)

		};*/

		/*case toLower "AR1": { //Kevyet konekiväärit (M249, RPK, M27)

		};*/

		/*case toLower "ARAS1": { //Kevyet konekiväärit (M249, RPK, M27)

		};*/


		//////////////////
		//Sniper & Marks//
		//////////////////

		case toLower "Mark": { //Marksman eli ryhmätason puoliautomaatti tukiase (MK11, SVD, AK+PSO, VSS Vintorez) Myös spottereiden ase
			_weapons append ["rhs_weap_ak103"];
			_magazines append [["rhs_30Rnd_762x39mm",3]];
			_weaponitems append [["rhs_acc_dtk","primary"], ["rhs_acc_pso1m21_ak","primary"]];
		};

		/*case toLower "Mark1": { //Marksman eli ryhmätason puoliautomaatti tukiase (MK11, SVD, AK+PSO, VSS Vintorez) Myös spottereiden ase

		};*/

		/*case toLower "Sniper": { //Tarkkuuskivääri  ["ACE_RangeCard",1],["ACE_Kestrel4500",1]

		};*/

		/*case toLower "Sniper1": { //Tarkkuuskivääri

		};*/

		////////////////
		//Pienet aseet//
		////////////////

		/*case toLower "SMG": { //Erikoiset johtajat, mahd. vaunumiehistöt, pilotit

		};*/

		case toLower "Carbine": { //Erikoiset johtajat, mahd. vaunumiehistöt, pilotit
			_weapons append ["rhs_weap_aks74u"];
			_magazines append [["rhs_30Rnd_545x39_AK",3]];
			_weaponitems append [["rhs_acc_pgs64_74u","primary"]];
		};

		case toLower "Pistol": { //Erikoiset johtajat, mahd. vaunumiehistöt, pilotit
			_weapons append ["rhs_weap_makarov_pm"];
			_magazines append [["rhs_mag_9x18_8_57N181S",5]];
			//_weaponitems append [];
		};

		/*case toLower "Shotgun": { //Pääaseena haulikko. Eli Engineer T:Tuntematon

		};*/

		default {};
	};






/////////////////
//SingonValinta//
/////////////////
	Switch toLower (_Singonvalinta) do {

		Case toLower "AT": { //AT = RPG7, SMAW, MAAWS (Raskaat singot)
			_weapons append ["rhs_weap_rpg7"];
			_magazines append [["rhs_rpg7_PG7VL_mag",2],["rhs_rpg7_PG7VR_mag",1]];
			_weaponitems append [["rhs_acc_pgo7v2","secondary"]];
		};

		Case toLower "ATAS": { //AT = RPG7, SMAW, MAAWS (Raskaat singot)

		};

		Case toLower "LAT": { //kevyt kertasinko (M72, RPG26, M136)
			_weapons append ["rhs_weap_rpg26"];
			//_magazines append [];
			//_weaponitems append [];
		};

		Case toLower "LAT1": { //kevyt kertasinko (M72, RPG26, M136)

		};

		Case toLower "AA": { //Anti-air
			_weapons append ["rhs_weap_igla"];
			_magazines append [["rhs_mag_9k38_rocket",2]];
			//_weaponitems append [];
		};

		Case toLower "AAAS": { //Anti-air

		};

		/*Case toLower "HAT": { //NLAW, JAVELIN (Ylipäätänsä ohjuspohjainen)

		};

		Case toLower "HATAS": { //NLAW, JAVELIN (Ylipäätänsä ohjuspohjainen)

		};*/

		default {};//Tyhjänä ei ajaa tämä eli ei anna mitään.
	};


	if !(count _weapons == 0) then {
		[_unit, _weapons] Call _fnc_BUMaddweapons;
	};

	if !(count _magazines == 0) then {
		[_unit, _magazines] Call _fnc_TUNaddmagazines;
	};

	if !(count _weaponitems == 0) then {
		[_unit, _weaponitems] Call fnc_TUNaddWeaponItem;
	};
};


_fnc_TUNchangeClothes = { //VAATEFUNCTIO//

	//Kutsuminen [_unit, "puvunvalinta", "liivinvalinta", "repunvalinta"] call _fnc_TUNchangeClothes;
	//Katso vaihtoehdot alempaa case kohdasta. Käytä "" jos haluat defaultin.

	params ["_unit","_puku","_liivi","_reppu"];
/*
	removeUniform _unit;
    removeVest _unit;
    removeBackpack _unit;
    removeHeadgear _unit;
    removeGoggles _unit;
*/

///////////////
//Pikku romut//
///////////////



////////////////
//Puvunvalinta//
////////////////
	switch toLower (_puku) do {
		Case toLower "Puku1": {
			removeUniform _unit;
			_unit forceAddUniform selectRandom ["rhsgref_uniform_para_ttsko_mountain","rhsgref_uniform_para_ttsko_oxblood","rhsgref_uniform_para_ttsko_urban","rhsgref_uniform_vsr","rhsgref_uniform_ttsko_forest","rhsgref_uniform_ttsko_mountain","rhsgref_uniform_ttsko_urban","rhsgref_uniform_ERDL","rhsgref_uniform_flecktarn","rhsgref_uniform_alpenflage","rhsgref_uniform_tigerstripe","rhsgref_uniform_reed","rhsgref_uniform_specter","rhsgref_uniform_reed","rhsgref_uniform_woodland","rhsgref_uniform_woodland_olive","rhsgref_uniform_reed"];
		};

		Case toLower "Puku2": {
			removeUniform _unit;
			removeHeadgear _unit;

			_unit forceAddUniform selectRandom ["rhsgref_uniform_para_ttsko_mountain","rhsgref_uniform_para_ttsko_oxblood","rhsgref_uniform_para_ttsko_urban","rhsgref_uniform_vsr","rhsgref_uniform_ttsko_forest","rhsgref_uniform_ttsko_mountain","rhsgref_uniform_ttsko_urban","rhsgref_uniform_ERDL","rhsgref_uniform_flecktarn","rhsgref_uniform_alpenflage","rhsgref_uniform_tigerstripe","rhsgref_uniform_reed","rhsgref_uniform_specter","rhsgref_uniform_reed","rhsgref_uniform_woodland","rhsgref_uniform_woodland_olive","rhsgref_uniform_reed"];

			_unit addHeadgear selectRandom ["rhsgref_Booniehat_alpen","rhsgref_bcap_specter","rhsgref_6b27m_ttsko_urban","rhsgref_6b27m_ttsko_mountain","rhsgref_6b27m_ttsko_forest","rhsgref_6b27m_ttsko_digi","rhsgref_6b27m","H_Bandanna_camo","H_Bandanna_cbr","H_Bandanna_gry","H_Bandanna_khk","H_Bandanna_khk_hs","H_Bandanna_mcamo","H_Watchcap_blk","H_Watchcap_camo","H_Watchcap_cbr","H_Watchcap_khk","H_Watchcap_sgg","rhs_beanie","rhs_beanie_green","rhsgref_Booniehat_alpen","rhs_Booniehat_ucp","rhs_Booniehat_ocp","rhs_Booniehat_m81","","","","","",""];
		};

		Case toLower "Puku3": {
			removeUniform _unit;
			removeVest _unit;
			removeHeadgear _unit;

			_unit forceAddUniform "rhs_uniform_gorka_r_g";
			_unit addVest "rhs_6sh92_digi";
			_unit addHeadgear "rhs_ssh68";
		};

		/*Case toLower "Puku4": {
			//_unit forceAddUniform "rhs_uniform_g3_m81";
		};

		Case toLower "Gl": {
			//_unit forceAddUniform "rhs_uniform_g3_m81";
		};

		Case toLower "Medic": {
			//_unit forceAddUniform "rhs_uniform_g3_m81";
		};

		Case toLower "Leader": {
			//_unit forceAddUniform "rhs_uniform_g3_m81";
		};*/

		default { //Vakio Puku
		};
	};


/////////////////
//Liivinvalinta//
/////////////////
/*	switch toLower (_liivi) do {
		Case toLower "liivi1": {
			//_unit addVest "rhsusf_spc_corpsman";
		};

		Case toLower "liivi2": {
			//_unit addVest "rhsusf_spc_crewman";
		};

		Case toLower "liivi3": {
			//_unit addVest "rhsusf_spc_light";
		};

		Case toLower "liivi4": {
			//_unit addVest "rhsusf_spc_marksman";
		};

		Case toLower "Gl": {
			//_unit addVest "rhsusf_spc_mg";
		};

		Case toLower "Medic": {
            //_unit addVest "rhs_6sh92_vsr_vog";
        };

		Case toLower "Leader": {
			//_unit addVest "rhsusf_spc_mg";
		};

		default { //Vakio liivi
		};
	};*/

////////////////
//Repunvalinta//
////////////////
	switch toLower (_reppu) do
	{
		Case toLower "Radio": {
			_unit addBackpack "TF_anprc155";
		};

		Case toLower "Medic": {
			_unit addBackpack "rhs_sidor";
		};

		Case toLower "AT": {
			_unit addBackpack "rhs_rpg_empty";
		};

		Case toLower "Pienireppu": {
			_unit addBackpack "rhs_sidor";
		};

		Case toLower "Isoreppu": {
			_unit addBackpack "rhs_assault_umbts_engineer_empty";
		};

		default { //Vakio reppu
		};
	};
};

/*

Vaatefunktion pitää olla aina ylimpänä.
puvunvalinta = "Sl", "Crew", "Light", "Mark", "Mg", "Gl", "Medic" tau "" jos haluat default
liivinvalinta = "Sl", "Crew", "Light", "Mark", "Mg", "Gl", "Medic" tau "" jos haluat default
repunvalinta = "Radio", "Medic", "AT", "Pienireppu", "Isoreppu"

[_unit, "","",""] call _fnc_TUNchangeClothes;

Pääase vaihtoehdot = "SMG", "Carbine", "MG", "MG1", "AR", "AR1", "GL", "Mark", "Mark1", "Sniper", "Snipe1", "Shotgun", "Rif1", "Rif1", "Rif2", "Pistol"
Sinko vaihtoehdot = "AT", "AtAS", "LAT", "LAT1", "AA", "AAAS", "HAT", "HATAS"
	[_unit, "Pääase", "Sinko"] call _fnc_TUNchangeWeapons;

Perus tavarat = "johtaja", "kevyt", "" //Vakio
Kiikarit = "kiikari", "range", "laser" tai "" jos et halua antaa mitään.
	[_unit, "Perus tavarat", "kiikari"] call _fnc_TUNaddBasicEquipment;

Medikintaso = "cls", "medic" tai "" perus jv tavarat.
	[_unit, "Medikintaso"] Call _fnc_BUMaddMedicalSupplies;
*/

if (_unit isKindof "Man") then {
	Switch toLower(_type) do {

		////////////
		//Johtajat//
		////////////

		Case toLower "PL": { //Komppanin tai Joukkueen johtaja
			[_unit, "","","Radio"] call _fnc_TUNchangeClothes;
			[_unit, "Carbine", ""] call _fnc_TUNchangeWeapons;
			[_unit, "kevyt", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "RTO": { //Radisti
			[_unit, "Puku1","","Radio"] call _fnc_TUNchangeClothes;
			[_unit, "Carbine", ""] call _fnc_TUNchangeWeapons;
			[_unit, "johtaja", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
			_unit setVariable["displayName", "RTO",true];
		};

		Case toLower "SL": { //Ryhmän johtaja
			[_unit, "Puku1","","Pienireppu"] call _fnc_TUNchangeClothes;
			[_unit, "carbine", ""] call _fnc_TUNchangeWeapons;
			[_unit, "johtaja", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "TL": { // Partion johtaja
			[_unit, "Puku1","","Pienireppu"] call _fnc_TUNchangeClothes;
			[_unit, "Gl", ""] call _fnc_TUNchangeWeapons;
			[_unit, "VaraJohtaja", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
			_unit setVariable["displayName", "Patrol Leader",true];
		};

		//////////////////
		//Machinegunners//
		//////////////////

		Case toLower "MG": {
			[_unit, "puku2","","Pienireppu"] call _fnc_TUNchangeClothes;
			[_unit, "mg", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "Rif": {
			[_unit, "puku2","",""] call _fnc_TUNchangeClothes;
			[_unit, "Rif1", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", ""] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
			_unit setVariable["displayName", "Rifleman",true];
		};

		///////////
		//Medikit//
		///////////

		Case toLower "Medic": { //Joukkueen tai isompi.
			[_unit, "puku2","","Medic"] call _fnc_TUNchangeClothes;
			[_unit, "Carbine", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", ""] call _fnc_TUNaddBasicEquipment;
			[_unit, "Medic"] Call _fnc_BUMaddMedicalSupplies;
		};


		/////////////////////
		//PST & Muut singot//
		/////////////////////

		Case toLower "AT": { //Raskas Sinko (SMAW,RPG)
			[_unit, "puku1","","at"] call _fnc_TUNchangeClothes;
			[_unit, "Rif1", "AT"] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "AA": { //Anti Air
			[_unit, "","","At"] call _fnc_TUNchangeClothes;
			[_unit, "Rif1", "AA"] call _fnc_TUNchangeWeapons;
			[_unit, "kevyt", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};


		//////////////////////
		//Ajoneuvo miehistöt//
		//////////////////////

		Case toLower "Crew": { //Vaunumiehistö
			[_unit, "","",""] call _fnc_TUNchangeClothes;
			[_unit, "Pistol", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, "kevyt"] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "CrewC": { //Vaunumiehistö
			[_unit, "","","Radio"] call _fnc_TUNchangeClothes;
			[_unit, "Pistol", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, "kevyt"] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "HeliP": { //Helikoperi pilotti
			[_unit, "","",""] call _fnc_TUNchangeClothes;
			[_unit, "Pistol", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		/////////////////////////
		//Sniperit & Marksmanit//
		/////////////////////////


		Case toLower "Spotter": {
			[_unit, "Puku1","","Pienireppu"] call _fnc_TUNchangeClothes;
			[_unit, "Rif1", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "Mark": {
			[_unit, "puku2","","Pienireppu"] call _fnc_TUNchangeClothes;
			[_unit, "Mark", ""] call _fnc_TUNchangeWeapons;
			[_unit, "", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};


		////////////
		//Engineer//
		////////////

		Case toLower "Eng": { //Pioneeri (Räjähteet, miinaharava tms)
			_unit setVariable ["ACE_IsEngineer",1,true];
			_unit setVariable ["ACE_isEOD",1,true];

			[_unit, "Puku3","","At"] call _fnc_TUNchangeClothes;
			[_unit, "Rif1", ""] call _fnc_TUNchangeWeapons;
			[_unit, "Eng", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};

		Case toLower "Exp": { //Räjähde expertti. Isoja räjähteitä / IED
			_unit setVariable ["ACE_isEOD",1,true];

			[_unit, "","","Isoreppu"] call _fnc_TUNchangeClothes;
			[_unit, "Rif2", ""] call _fnc_TUNchangeWeapons;
			[_unit, "Exp", "kiikari"] call _fnc_TUNaddBasicEquipment;
			[_unit, ""] Call _fnc_BUMaddMedicalSupplies;
		};


		default {	removeUniform _unit;
    removeVest _unit;
    removeBackpack _unit;
    removeHeadgear _unit;
    removeGoggles _unit;};
	};
};




	/////////////////////////
	//Ajoneuvot ja Laatikot//
	/////////////////////////

if (_unit isKindof "LandVehicle" || _unit isKindof "Air" || _unit isKindOf "Ship" || _unit isKindOf "Static" || _unit isKindOf "thing") then {
	Switch toLower(_type) do {

		Case toLower "Auto": { //perus
			_unit addMagazineCargoGlobal ["rhs_30Rnd_762x39mm", 6];
			_unit addMagazineCargoGlobal ["rhs_30Rnd_545x39_AK",6];
			_unit addMagazineCargoGlobal ["rhs_100Rnd_762x54mmR",2];
			_unit addItemCargoGlobal ["ACE_wirecutter",2];
			_unit addItemCargoGlobal ["ACE_bodyBag",10];
			_unit addItemCargoGlobal ["ACE_bloodIV",5];
			_unit addItemCargoGlobal ["ACE_Sandbag_empty",50];
		};

		Case toLower "Laatikko": { //perus
			_unit addMagazineCargoGlobal ["rhs_30Rnd_762x39mm", 6];
			_unit addMagazineCargoGlobal ["rhs_30Rnd_545x39_AK",6];
			_unit addMagazineCargoGlobal ["rhs_100Rnd_762x54mmR",2];
			_unit addItemCargoGlobal ["ACE_wirecutter",2];
			_unit addItemCargoGlobal ["ACE_bodyBag",10];
			_unit addItemCargoGlobal ["ACE_bloodIV",5];
			_unit addItemCargoGlobal ["ACE_Sandbag_empty",50];
		};

		Case toLower "Rekka": { //perus
			_unit addMagazineCargoGlobal ["rhs_30Rnd_762x39mm", 6];
			_unit addMagazineCargoGlobal ["rhs_30Rnd_545x39_AK",6];
			_unit addMagazineCargoGlobal ["rhs_100Rnd_762x54mmR",2];
			_unit addItemCargoGlobal ["ACE_wirecutter",2];
			_unit addItemCargoGlobal ["ACE_bodyBag",10];
			_unit addItemCargoGlobal ["ACE_bloodIV",5];
			_unit addItemCargoGlobal ["ACE_Sandbag_empty",50];
		};

		default{};
	};
};
